﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение студенческой группы
	/// </summary>
	public class StudentGroupGetBindingModel : GetBindingModel
	{
		public Guid? AcademicPlanId { get; set; }

		public Guid? LecturerId { get; set; }
	}

	/// <summary>
	/// Сохранение студенческой группы
	/// </summary>
	public class StudentGroupSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("AcademicPlanId")]
		public Guid AcademicPlanId { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("GroupNumber")]
		public int GroupNumber { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("EnrollmentYear")]
		public int EnrollmentYear { get; set; }

		[MapConfiguration("LecturerId")]
		public Guid? LecturerId { get; set; }
	}
}